<?php


namespace Daemon;


use Api\PhpServices\Daemon\DaemonServiceInterface;
use Api\PhpUtils\Log\FileLog;
use \App\Models\marketing\mysql\ColonelDistributorPayInfo;
use \App\Exception\custom\InterfaceException;
use Api\PhpUtils\Http\HttpUtil;

class Colonelwallet implements DaemonServiceInterface
{
    public function run()
    {
        //只在10:01执行逻辑
        if (date('H') != 10 || date('i') != 5) {
            sleep(5);
            return false;
        }
        \Yaf\Application::app()->bootstrap()->getDispatcher()->dispatch(new \Yaf\Request\Simple('', 'cli', 'colonelwallet', 'index', []));
    }
}